Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Class AWTGlyphGeometryCache.Value

    java.lang.Object
      org.apache.batik.gvt.font.AWTGlyphGeometryCache.Value

Enclosing class:
  AWTGlyphGeometryCache

    public static class AWTGlyphGeometryCache.Value

extends Object

The object that holds glyph geometry.

Field Summary
`protected Rectangle2D` | `gmB`
`protected Shape` | `outline`
`protected Rectangle2D` | `outlineBounds`

Constructor Summary
`AWTGlyphGeometryCache.Value(Shape outline, Rectangle2D gmB)` Constructs a new Value with the specified parameter.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounds of the glyph according to its glyph metrics.
`Shape` | `getOutline()` Returns the outline of the glyph.
`Rectangle2D` | `getOutlineBounds2D()` Returns the bounds of the outline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outline

    protected Shape outline

### gmB

    protected Rectangle2D gmB

### outlineBounds

    protected Rectangle2D outlineBounds

Constructor Detail

### AWTGlyphGeometryCache.Value

    public AWTGlyphGeometryCache.Value(Shape outline,
                                       Rectangle2D gmB)

  Constructs a new Value with the specified parameter.

Method Detail

### getOutline

    public Shape getOutline()

  Returns the outline of the glyph.

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounds of the glyph according to its glyph metrics.

### getOutlineBounds2D

    public Rectangle2D getOutlineBounds2D()

  Returns the bounds of the outline.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.